<?php
/**
 * 证书管理编辑
 * $Id: certificate_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("12")) {
  // エラー表示
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "error.inc";
  $message = "权限不足，请联系系统管理员。";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$name = ParamUtil::getRequestString("name");
$mobile = ParamUtil::getRequestString("mobile");
$address = ParamUtil::getRequestString("address");
$status = ParamUtil::getRequestString("status");

//编辑
$user_certificate_dat = UserCertificateDat::getById($id);
if ($user_certificate_dat == null) {
  // エラー表示
  $message = "对象不存在";
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "error.inc";
  $layout_pages["menu_clicked"] = "5-5";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}

// 数据库更新
$user_certificate_dat->name = $name;
$user_certificate_dat->mobile = $mobile;
$user_certificate_dat->address = $address;
$user_certificate_dat->status = $status;
$user_certificate_dat->save();

// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "certificate_apply_edit_result.inc";
$layout_pages["menu_clicked"] = "5-5";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;